Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ee.ut.ga.business
Class FitnessFunction

    java.lang.Object
      ee.ut.ga.business.FitnessFunction

public class FitnessFunction
extends java.lang.Object

Field Summary
`static org.apache.log4j.Logger` | `log`

Constructor Summary
`FitnessFunction()`

Method Summary
`private static int` | `calculate(java.util.List weights, double threshold)` Calculates quantity of DNA sequencies where maximum weight is not less than threshold.
`static java.util.List` | `calculateAllWeights(java.util.Map data, PWM pwm)` Calculates all weights for specified Position-Weight-Matrix in given data.
`private static void` | `calculateOptimalPValue(java.util.List weights, PWM pwm)` Calculates optimal pValue.
`private static void` | `calculateOptimalPValue(java.util.List weights, PWM pwm, int goodAll)` Calculates optimal pValue.
`private static void` | `getOptimalPValue(java.util.List weights, PWM pwm, int GOOD_ALL)`
`private static void` | `getOptimalRocArea(java.util.List weights, PWM pwm, int GOOD_ALL)`
`private static java.math.BigDecimal` | `getRocArea(java.util.List weights, int GOOD_ALL)`
`private static void` | `logCalculatingProcess(int k)`
`private static java.math.BigDecimal` | `pValue(int goodInt, int goodAllInt, int badInt, int badAllInt)` Calculates pValue.
`private static boolean` | `pValueIsPoositiveTrue(int good, int goodAll, int bad, int badAll, java.math.BigDecimal tempValue)`
`private static void` | `setBestValue(PWM pwm, int good, int goodAll, int bad, int badAll, double threshold)`
`static void` | `setFitnessValue(java.util.Map data, PWM pwm, int GOOD_ALL, java.lang.String FITNESS_FUNCTION)` Counts fitness value of specified `PWM` in given data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Logger log

Constructor Detail

### FitnessFunction

    public FitnessFunction()

Method Detail

### setFitnessValue

    public static void setFitnessValue(java.util.Map data,
                                       PWM pwm,
                                       int GOOD_ALL,
                                       java.lang.String FITNESS_FUNCTION)

  Counts fitness value of specified `PWM` in given data. Fitness value counts with the help of pValue. Larger result means that `PWM` suits better to the final result of the project.

### calculateAllWeights

    public static java.util.List calculateAllWeights(java.util.Map data,
                                                     PWM pwm)

  Calculates all weights for specified Position-Weight-Matrix in given data.

  Returns:
    `List` of `Weight`

### logCalculatingProcess

    private static void logCalculatingProcess(int k)

### getOptimalRocArea

    private static void getOptimalRocArea(java.util.List weights,
                                          PWM pwm,
                                          int GOOD_ALL)

### getRocArea

    private static java.math.BigDecimal getRocArea(java.util.List weights,
                                                   int GOOD_ALL)

### getOptimalPValue

    private static void getOptimalPValue(java.util.List weights,
                                         PWM pwm,
                                         int GOOD_ALL)

### calculateOptimalPValue

    private static void calculateOptimalPValue(java.util.List weights,
                                               PWM pwm)

  Calculates optimal pValue.

### calculateOptimalPValue

    private static void calculateOptimalPValue(java.util.List weights,
                                               PWM pwm,
                                               int goodAll)

  Calculates optimal pValue.

### calculate

    private static int calculate(java.util.List weights,
                                 double threshold)

  Calculates quantity of DNA sequencies where maximum weight is not less than threshold.

### setBestValue

    private static void setBestValue(PWM pwm,
                                     int good,
                                     int goodAll,
                                     int bad,
                                     int badAll,
                                     double threshold)

### pValueIsPoositiveTrue

    private static boolean pValueIsPoositiveTrue(int good,
                                                 int goodAll,
                                                 int bad,
                                                 int badAll,
                                                 java.math.BigDecimal tempValue)

### pValue

    private static java.math.BigDecimal pValue(int goodInt,
                                               int goodAllInt,
                                               int badInt,
                                               int badAllInt)

  Calculates pValue.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD